import java.util.Arrays;

public class Class445 {

   int anInt5490 = 0;
   int anInt5491 = 1317220992;
   public int anInt5492 = 0;
   public int anInt5493 = -418371703;
   public byte[] aByteArray5494;
   public int[][] anIntArrayArray5495;
   public int anInt5496 = -1027120775;
   public String aString5497 = "null";
   public short[] aShortArray5498;
   public int anInt5499 = 0;
   byte aByte5500;
   public short[] aShortArray5501;
   byte[] aByteArray5502;
   byte[] aByteArray5503;
   byte aByte5504;
   byte aByte5505;
   public boolean aBool5506 = false;
   byte aByte5507 = 0;
   short[] aShortArray5508;
   public int anInt5509 = -1390558259;
   public int anInt5510 = -874335786;
   public boolean aBool5511 = true;
   Class423 aClass423_5512;
   byte aByte5513 = 0;
   int anInt5514 = 1181836557;
   public boolean aBool5515 = false;
   public int anInt5516 = 1107926053;
   public int anInt5517 = 1577542336;
   int[] anIntArray5518;
   int[] anIntArray5519 = null;
   int[] anIntArray5520 = null;
   public int anInt5521 = 2032827200;
   int anInt5522 = 0;
   public String[] aStringArray5523;
   public boolean aBool5524 = false;
   short[] aShortArray5525;
   public int anInt5526 = -2053950575;
   byte[] aByteArray5527;
   public int anInt5528 = 1370431999;
   public int anInt5529 = 0;
   public boolean aBool5530 = false;
   public int anInt5531;
   public boolean aBool5532 = true;
   int anInt5533 = 517282432;
   int anInt5534 = 1708668288;
   public int anInt5535 = 0;
   int anInt5536 = 0;
   int anInt5537 = 0;
   static final int anInt5538 = 127007;
   int anInt5539 = 0;
   int anInt5540 = 0;
   int anInt5541 = 0;
   public boolean aBool5542 = false;
   public boolean aBool5543 = false;
   public int anInt5544 = 288930191;
   public boolean aBool5545 = false;
   public int[] anIntArray5546;
   int anInt5547 = -761631897;
   int anInt5548 = 709190873;
   public int anInt5549 = -747623843;
   public boolean aBool5550 = false;
   Class448 aClass448_5551;
   int anInt5552 = 0;
   public boolean aBool5553 = false;
   public int anInt5554 = 650578955;
   public int anInt5555 = 0;
   public int[] anIntArray5556;
   public boolean aBool5557 = false;
   public boolean aBool5558 = true;
   public int anInt5559 = 0;
   public boolean aBool5560 = true;
   public int anInt5561 = 0;
   public static short[] aShortArray5562 = new short[256];
   public boolean aBool5563 = false;
   public int[] anIntArray5564;
   public int anInt5565 = 1126322432;
   public int anInt5566 = 1489022720;
   public boolean aBool5567 = false;
   public boolean aBool5568 = false;
   static final int anInt5569 = 6;


   public boolean method7431() {
      if(this.anIntArray5546 == null) {
         return -1 != this.anInt5554 * 1859510365 || null != this.anIntArray5556;
      } else {
         for(int var1 = 0; var1 < this.anIntArray5546.length; ++var1) {
            if(-1 != this.anIntArray5546[var1]) {
               Class445 var2 = this.aClass448_5551.method7506(this.anIntArray5546[var1], 938515762);
               if(-1 != 1859510365 * var2.anInt5554 || null != var2.anIntArray5556) {
                  return true;
               }
            }
         }

         return false;
      }
   }

   void method7432(RS2Buffer var1, int var2) {
      while(true) {
         int var3 = var1.readUnsignedByte(-700559597);
         if(0 == var3) {
            if(var2 >= 2116970785) {
               ;
            }

            return;
         }

         this.method7433(var1, var3, (byte)25);
      }
   }

   void method7433(RS2Buffer var1, int var2, byte var3) {
      int var4;
      int var5;
      int var6;
      int var7;
      if(var2 == 1) {
         var4 = var1.readUnsignedByte(-700559597);
         this.aByteArray5494 = new byte[var4];
         this.anIntArrayArray5495 = new int[var4][];

         for(var5 = 0; var5 < var4; ++var5) {
            this.aByteArray5494[var5] = var1.readByte(422870307);
            var6 = var1.readUnsignedByte(-700559597);
            this.anIntArrayArray5495[var5] = new int[var6];

            for(var7 = 0; var7 < var6; ++var7) {
               this.anIntArrayArray5495[var5][var7] = var1.readLargeSmart(1799964087);
            }
         }
      } else if(var2 == 2) {
         this.aString5497 = var1.readString((byte)109);
      } else if(var2 == 14) {
         this.anInt5526 = var1.readUnsignedByte(-700559597) * -2053950575;
      } else if(var2 == 15) {
         this.anInt5509 = var1.readUnsignedByte(-700559597) * -1390558259;
      } else if(var2 == 17) {
         this.anInt5510 = 0;
         this.aBool5511 = false;
      } else if(var2 == 18) {
         this.aBool5511 = false;
      } else if(var2 == 19) {
         this.anInt5544 = var1.readUnsignedByte(-700559597) * -288930191;
      } else if(21 == var2) {
         this.aByte5513 = 1;
      } else if(var2 == 22) {
         this.aBool5515 = true;
      } else if(23 == var2) {
         this.anInt5516 = -1107926053;
      } else if(var2 == 24) {
         var4 = var1.readLargeSmart(1722515288);
         if(-1 != var4) {
            this.anIntArray5519 = new int[]{var4};
         }
      } else if(var2 == 27) {
         this.anInt5510 = -437167893;
      } else if(28 == var2) {
         this.anInt5521 = (var1.readUnsignedByte(-700559597) << 2) * -35345939;
      } else if(var2 == 29) {
         this.anInt5552 = var1.readByte(1374170000) * -1230010611;
      } else if(var2 == 39) {
         this.anInt5522 = var1.readByte(2123397767) * 755990149;
      } else if(var2 >= 30 && var2 < 35) {
         this.aStringArray5523[var2 - 30] = var1.readString((byte)45);
      } else if(40 == var2) {
         var4 = var1.readUnsignedByte(-700559597);
         this.aShortArray5508 = new short[var4];
         this.aShortArray5498 = new short[var4];

         for(var5 = 0; var5 < var4; ++var5) {
            this.aShortArray5508[var5] = (short)var1.readUnsignedShort(-937710807);
            this.aShortArray5498[var5] = (short)var1.readUnsignedShort(-937710807);
         }
      } else if(41 == var2) {
         var4 = var1.readUnsignedByte(-700559597);
         this.aShortArray5525 = new short[var4];
         this.aShortArray5501 = new short[var4];

         for(var5 = 0; var5 < var4; ++var5) {
            this.aShortArray5525[var5] = (short)var1.readUnsignedShort(-937710807);
            this.aShortArray5501[var5] = (short)var1.readUnsignedShort(-937710807);
         }
      } else if(var2 == 42) {
         var4 = var1.readUnsignedByte(-700559597);
         this.aByteArray5527 = new byte[var4];

         for(var5 = 0; var5 < var4; ++var5) {
            this.aByteArray5527[var5] = var1.readByte(703065000);
         }
      } else {
         byte var9;
         if(44 == var2) {
            var4 = var1.readUnsignedShort(-937710807);
            var5 = 0;

            for(var6 = var4; var6 > 0; var6 >>= 1) {
               ++var5;
            }

            this.aByteArray5502 = new byte[var5];
            var9 = 0;

            for(var7 = 0; var7 < var5; ++var7) {
               if((var4 & 1 << var7) > 0) {
                  this.aByteArray5502[var7] = var9++;
               } else {
                  this.aByteArray5502[var7] = -1;
               }
            }
         } else if(var2 == 45) {
            var4 = var1.readUnsignedShort(-937710807);
            var5 = 0;

            for(var6 = var4; var6 > 0; var6 >>= 1) {
               ++var5;
            }

            this.aByteArray5503 = new byte[var5];
            var9 = 0;

            for(var7 = 0; var7 < var5; ++var7) {
               if((var4 & 1 << var7) > 0) {
                  this.aByteArray5503[var7] = var9++;
               } else {
                  this.aByteArray5503[var7] = -1;
               }
            }
         } else if(var2 == 62) {
            this.aBool5506 = true;
         } else if(var2 == 64) {
            this.aBool5532 = false;
         } else if(65 == var2) {
            this.anInt5533 = var1.readUnsignedShort(-937710807) * 406694453;
         } else if(var2 == 66) {
            this.anInt5534 = var1.readUnsignedShort(-937710807) * -1261719445;
         } else if(67 == var2) {
            this.anInt5491 = var1.readUnsignedShort(-937710807) * 1822230117;
         } else if(69 == var2) {
            var1.readUnsignedByte(-700559597);
         } else if(70 == var2) {
            this.anInt5536 = (var1.method13732(-231783947) << 2) * 553279135;
         } else if(71 == var2) {
            this.anInt5537 = (var1.method13732(-290756253) << 2) * -1094495989;
         } else if(var2 == 72) {
            this.anInt5490 = (var1.method13732(-1637420046) << 2) * -765333273;
         } else if(var2 == 73) {
            this.aBool5542 = true;
         } else if(var2 == 74) {
            this.aBool5543 = true;
         } else if(75 == var2) {
            this.anInt5528 = var1.readUnsignedByte(-700559597) * -1370431999;
         } else if(var2 != 77 && var2 != 92) {
            if(var2 == 78) {
               this.anInt5554 = var1.readUnsignedShort(-937710807) * -650578955;
               this.anInt5535 = var1.readUnsignedByte(-700559597) * 521287813;
            } else if(var2 == 79) {
               this.anInt5559 = var1.readUnsignedShort(-937710807) * 46907315;
               this.anInt5555 = var1.readUnsignedShort(-937710807) * -1484221913;
               this.anInt5535 = var1.readUnsignedByte(-700559597) * 521287813;
               var4 = var1.readUnsignedByte(-700559597);
               this.anIntArray5556 = new int[var4];

               for(var5 = 0; var5 < var4; ++var5) {
                  this.anIntArray5556[var5] = var1.readUnsignedShort(-937710807);
               }
            } else if(81 == var2) {
               this.aByte5513 = 2;
               this.anInt5514 = var1.readUnsignedByte(-700559597) * -1902447872;
            } else if(var2 == 82) {
               this.aBool5545 = true;
            } else if(var2 == 88) {
               this.aBool5560 = false;
            } else if(var2 == 89) {
               this.aBool5558 = false;
            } else if(var2 == 91) {
               this.aBool5550 = true;
            } else if(93 == var2) {
               this.aByte5513 = 3;
               this.anInt5514 = var1.readUnsignedShort(-937710807) * -1181836557;
            } else if(94 == var2) {
               this.aByte5513 = 4;
            } else if(var2 == 95) {
               this.aByte5513 = 5;
               this.anInt5514 = var1.method13732(-1812410753) * -1181836557;
            } else if(97 == var2) {
               this.aBool5524 = true;
            } else if(98 == var2) {
               this.aBool5563 = true;
            } else if(99 != var2 && var2 != 100) {
               if(101 == var2) {
                  this.anInt5529 = var1.readUnsignedByte(-700559597) * 1710241749;
               } else if(var2 == 102) {
                  this.anInt5493 = var1.readUnsignedShort(-937710807) * 418371703;
               } else if(var2 == 103) {
                  this.anInt5516 = 0;
               } else if(var2 == 104) {
                  this.anInt5549 = var1.readUnsignedByte(-700559597) * 889747619;
               } else if(var2 == 105) {
                  this.aBool5530 = true;
               } else if(106 == var2) {
                  var4 = var1.readUnsignedByte(-700559597);
                  var5 = 0;
                  this.anIntArray5519 = new int[var4];
                  this.anIntArray5520 = new int[var4];

                  for(var6 = 0; var6 < var4; ++var6) {
                     this.anIntArray5519[var6] = var1.readLargeSmart(1699482634);
                     var5 += this.anIntArray5520[var6] = var1.readUnsignedByte(-700559597);
                  }

                  for(var6 = 0; var6 < var4; ++var6) {
                     this.anIntArray5520[var6] = '\uffff' * this.anIntArray5520[var6] / var5;
                  }
               } else if(107 == var2) {
                  this.anInt5496 = var1.readUnsignedShort(-937710807) * 1027120775;
               } else if(var2 >= 150 && var2 < 155) {
                  this.aStringArray5523[var2 - 150] = var1.readString((byte)29);
                  if(!this.aClass448_5551.aBool5585) {
                     this.aStringArray5523[var2 - 150] = null;
                  }
               } else if(160 == var2) {
                  var4 = var1.readUnsignedByte(-700559597);
                  this.anIntArray5564 = new int[var4];

                  for(var5 = 0; var5 < var4; ++var5) {
                     this.anIntArray5564[var5] = var1.readUnsignedShort(-937710807);
                  }
               } else if(var2 == 162) {
                  this.aByte5513 = 3;
                  this.anInt5514 = var1.readInt_(-529589756) * -1181836557;
               } else if(var2 == 163) {
                  this.aByte5504 = var1.readByte(1949349098);
                  this.aByte5505 = var1.readByte(-150095321);
                  this.aByte5500 = var1.readByte(-4899604);
                  this.aByte5507 = var1.readByte(-234266757);
               } else if(164 == var2) {
                  this.anInt5539 = var1.method13732(1383367193) * 81338841;
               } else if(165 == var2) {
                  this.anInt5540 = var1.method13732(996771874) * 1730481221;
               } else if(166 == var2) {
                  this.anInt5541 = var1.method13732(-967422178) * 1147259329;
               } else if(167 == var2) {
                  this.anInt5561 = var1.readUnsignedShort(-937710807) * 513613259;
               } else if(var2 == 168) {
                  this.aBool5553 = true;
               } else if(169 == var2) {
                  this.aBool5557 = true;
               } else if(170 == var2) {
                  this.anInt5517 = var1.readSmart(829289074) * -405483835;
               } else if(171 == var2) {
                  this.anInt5492 = var1.readSmart(1221728140) * -659687191;
               } else if(173 == var2) {
                  this.anInt5565 = var1.readUnsignedShort(-937710807) * -1220337071;
                  this.anInt5566 = var1.readUnsignedShort(-937710807) * -312950609;
               } else if(var2 == 177) {
                  this.aBool5567 = true;
               } else if(178 == var2) {
                  this.anInt5499 = var1.readUnsignedByte(-700559597) * 384923871;
               } else if(189 == var2) {
                  this.aBool5568 = true;
               } else if(var2 >= 190 && var2 < 196) {
                  if(null == this.anIntArray5518) {
                     this.anIntArray5518 = new int[6];
                     Arrays.fill(this.anIntArray5518, -1);
                  }

                  this.anIntArray5518[var2 - 190] = var1.readUnsignedShort(-937710807);
               } else if(var2 == 249) {
                  var4 = var1.readUnsignedByte(-700559597);
                  if(null == this.aClass423_5512) {
                     var5 = Class468.method7880(var4, (byte)-48);
                     this.aClass423_5512 = new Class423(var5);
                  }

                  for(var5 = 0; var5 < var4; ++var5) {
                     boolean var10 = var1.readUnsignedByte(-700559597) == 1;
                     var7 = var1.readTriByte(564096540);
                     Object var8;
                     if(var10) {
                        var8 = new ObjectVar(var1.readString((byte)28));
                     } else {
                        var8 = new IntVar(var1.readInt_(731111458));
                     }

                     this.aClass423_5512.method7206((Class225)var8, (long)var7);
                  }
               }
            } else {
               var1.readUnsignedByte(-700559597);
               var1.readUnsignedShort(-937710807);
            }
         } else {
            this.anInt5547 = var1.readUnsignedShort(-937710807) * 761631897;
            if('\uffff' == this.anInt5547 * 128024489) {
               this.anInt5547 = -761631897;
            }

            this.anInt5548 = var1.readUnsignedShort(-937710807) * -709190873;
            if(this.anInt5548 * -1944378217 == '\uffff') {
               this.anInt5548 = 709190873;
            }

            var4 = -1;
            if(92 == var2) {
               var4 = var1.readLargeSmart(1622059628);
            }

            var5 = var1.readUnsignedByte(-700559597);
            this.anIntArray5546 = new int[2 + var5];

            for(var6 = 0; var6 <= var5; ++var6) {
               this.anIntArray5546[var6] = var1.readLargeSmart(2037494079);
            }

            this.anIntArray5546[1 + var5] = var4;
         }
      }

   }

   public final Class445 method7434(Interface13 var1, Interface12 var2) {
      int var3 = -1;
      if(-1 != 128024489 * this.anInt5547) {
         Class295 var4 = var1.method52(128024489 * this.anInt5547, 1818486123);
         if(var4 != null) {
            var3 = var2.method49(var4, (byte)74);
         }
      } else if(-1 != this.anInt5548 * -1944378217) {
         Class169 var5 = var1.method53(Class251.aClass251_2983, this.anInt5548 * -1944378217, (byte)-73);
         if(var5 != null) {
            var3 = var2.method50(var5, 360578540);
         }
      }

      if(var3 >= 0 && var3 < this.anIntArray5546.length - 1) {
         return -1 == this.anIntArray5546[var3]?null:this.aClass448_5551.method7506(this.anIntArray5546[var3], 1367710148);
      } else {
         int var6 = this.anIntArray5546[this.anIntArray5546.length - 1];
         return var6 != -1?this.aClass448_5551.method7506(var6, 98321993):null;
      }
   }

   public final boolean method7435(int var1, int var2) {
      if(this.anIntArrayArray5495 == null) {
         return true;
      } else {
         boolean var3 = true;
         Class253 var4 = this.aClass448_5551.aClass253_5583;
         synchronized(var4) {
            for(int var5 = 0; var5 < this.aByteArray5494.length; ++var5) {
               if(var1 == this.aByteArray5494[var5]) {
                  for(int var6 = 0; var6 < this.anIntArrayArray5495[var5].length; ++var6) {
                     if(!this.aClass448_5551.aClass253_5583.method4506(this.anIntArrayArray5495[var5][var6], 0, (byte)-31)) {
                        var3 = false;
                     }
                  }
               }
            }

            return var3;
         }
      }
   }

   public final boolean method7436(Class522 var1, int var2) {
      if(null == this.anIntArrayArray5495) {
         return true;
      } else {
         boolean var3 = true;
         Class253 var4 = this.aClass448_5551.aClass253_5583;
         synchronized(var4) {
            for(int var5 = 0; var5 < this.anIntArrayArray5495.length; ++var5) {
               for(int var6 = 0; var6 < this.anIntArrayArray5495[var5].length; ++var6) {
                  boolean var7 = this.aClass448_5551.aClass253_5583.method4506(this.anIntArrayArray5495[var5][var6], 0, (byte)74);
                  var3 &= var7;
                  if(!var7) {
                     var1.anInt7144 = 1357229501 * this.anIntArrayArray5495[var5][var6];
                  }
               }
            }

            return var3;
         }
      }
   }

   void method7437() {
      if(this.anInt5544 * -22824303 == -1) {
         this.anInt5544 = 0;
         if(this.aByteArray5494 != null && 1 == this.aByteArray5494.length && this.aByteArray5494[0] == Class458.aClass458_5716.anInt5719 * -1372814303) {
            this.anInt5544 = -288930191;
         }

         for(int var1 = 0; var1 < 5; ++var1) {
            if(null != this.aStringArray5523[var1]) {
               this.anInt5544 = -288930191;
               break;
            }
         }
      }

      if(1513300481 * this.anInt5528 == -1) {
         this.anInt5528 = (0 != this.anInt5510 * -637890621?1:0) * -1370431999;
      }

      if(this.method7444(1312901448) || this.aBool5563 || null != this.anIntArray5546) {
         this.aBool5567 = true;
      }

   }

   public final synchronized Class437 method7438(Class545 var1, int var2, int var3, int var4, Class400 var5, Class400 var6, int var7, int var8, int var9, boolean var10, Class469 var11) {
      if(Class313.method5586(var3, (byte)57)) {
         var3 = -1372814303 * Class458.aClass458_5701.anInt5719;
      }

      long var12 = (long)((var3 << 3) + (1910675869 * this.anInt5531 << 10) + var4);
      var12 |= (long)(-1659372711 * var1.anInt7353 << 29);
      if(null != var11) {
         var12 |= -7596019108140255511L * var11.aLong5769 << 32;
      }

      int var14 = var2;
      if(this.aByte5513 == 3) {
         var14 = var2 | 7;
      } else {
         if(this.aByte5513 != 0 || this.anInt5540 * -1056037235 != 0) {
            var14 = var2 | 2;
         }

         if(this.anInt5539 * -1173795223 != 0) {
            var14 |= 1;
         }

         if(0 != this.anInt5541 * -1405008319) {
            var14 |= 4;
         }
      }

      if(var10) {
         var14 |= 262144;
      }

      boolean var15 = 0 != this.aByte5513 && (var5 != null || var6 != null);
      boolean var16 = -1173795223 * this.anInt5539 != 0 || this.anInt5540 * -1056037235 != 0 || 0 != this.anInt5541 * -1405008319;
      Class564 var17 = this.aClass448_5551.aClass564_5581;
      Class437 var18;
      synchronized(var17) {
         var18 = (Class437)this.aClass448_5551.aClass564_5581.method11959(var12);
      }

      Class568 var25 = (Class568)(null != var18?var18.anObject5439:null);
      Class225_Sub14_Sub16 var19 = null;
      if(null != var25 && var1.method11494(var25.m(), var14) == 0) {
         var19 = (Class225_Sub14_Sub16)var18.anObject5438;
         if(var10 && null == var19 && !var15 && !var16) {
            var19 = (Class225_Sub14_Sub16)(var18.anObject5438 = var25.ga((Class225_Sub14_Sub16)null));
         }
      } else {
         if(null != var25) {
            var14 = var1.method11495(var14, var25.m());
         }

         int var20 = var14;
         if(Class458.aClass458_5716.anInt5719 * -1372814303 == var3 && var4 > 3) {
            var20 = var14 | 5;
         }

         var25 = this.method7439(var1, var20, var3, var4, var11, (short)-168);
         if(var25 == null) {
            return null;
         }

         if(var3 == Class458.aClass458_5716.anInt5719 * -1372814303 && var4 > 3) {
            var25.f(2048);
         }

         if(var10 && !var15 && !var16) {
            var19 = var25.ga((Class225_Sub14_Sub16)null);
         }

         var25.KA(var14);
         var18 = new Class437(var25, var19);
         Class564 var21 = this.aClass448_5551.aClass564_5581;
         synchronized(var21) {
            this.aClass448_5551.aClass564_5581.method11958(var18, var12);
         }
      }

      if(!var15 && !var16) {
         var25 = var25.method12060((byte)0, var2, true);
      } else {
         var25 = var25.method12060((byte)0, var14, true);
         if(var15) {
            var25.pa(this.aByte5513, this.anInt5514 * -101511621, var5, var6, var7, var8, var9);
         }

         if(var16) {
            var25.ia(this.anInt5539 * -1173795223, -1056037235 * this.anInt5540, this.anInt5541 * -1405008319);
         }

         if(var10) {
            var19 = var25.ga((Class225_Sub14_Sub16)null);
         }

         var25.KA(var2);
      }

      this.aClass448_5551.aClass437_5592.anObject5439 = var25;
      this.aClass448_5551.aClass437_5592.anObject5438 = var19;
      return this.aClass448_5551.aClass437_5592;
   }

   Class568 method7439(Class545 var1, int var2, int var3, int var4, Class469 var5, short var6) {
      int var7 = 64 + -79913019 * this.anInt5552;
      int var8 = 850 + this.anInt5522 * -544869503;
      int var9 = var2;
      boolean var10 = this.aBool5506 || Class458.aClass458_5698.anInt5719 * -1372814303 == var3 && var4 > 3;
      if(var10) {
         var2 |= 16;
      }

      if(0 == var4) {
         if(this.anInt5533 * 1756092445 != 128 || 0 != this.anInt5536 * -124437153) {
            var2 |= 1;
         }

         if(128 != 30358381 * this.anInt5491 || 0 != -868212009 * this.anInt5490) {
            var2 |= 4;
         }
      } else {
         var2 |= 13;
      }

      if(128 != this.anInt5534 * -352879549 || 0 != -1217006941 * this.anInt5537) {
         var2 |= 2;
      }

      if(null != this.aShortArray5508) {
         var2 |= 16384;
      }

      if(null != this.aShortArray5525) {
         var2 |= '\u8000';
      }

      if(this.aByte5507 != 0) {
         var2 |= 524288;
      }

      Class568 var11 = null;
      int var14;
      if(null != this.aByteArray5494) {
         int var12 = -1;

         for(int var13 = 0; var13 < this.aByteArray5494.length; ++var13) {
            if(this.aByteArray5494[var13] == var3) {
               var12 = var13;
               break;
            }
         }

         if(var12 == -1) {
            return null;
         }

         int[] var29 = var5 != null && null != var5.anIntArray5768?var5.anIntArray5768:this.anIntArrayArray5495[var12];
         var14 = var29.length;
         if(var14 > 0) {
            long var15 = (long)(var1.anInt7353 * -1659372711);

            int var17;
            for(var17 = 0; var17 < var14; ++var17) {
               var15 = (long)var29[var17] + var15 * 67783L;
            }

            Class564 var32 = this.aClass448_5551.aClass564_5587;
            synchronized(var32) {
               var11 = (Class568)this.aClass448_5551.aClass564_5587.method11959(var15);
            }

            if(null != var11) {
               if(var7 != var11.c()) {
                  var2 |= 4096;
               }

               if(var8 != var11.Z()) {
                  var2 |= 8192;
               }
            }

            if(var11 == null || var1.method11494(var11.m(), var2) != 0) {
               var17 = var2 | 127007;
               if(null != var11) {
                  var17 = var1.method11495(var17, var11.m());
               }

               Class96 var18 = null;
               Class96[] var19 = this.aClass448_5551.aClass96Array5591;
               synchronized(var19) {
                  for(int var20 = 0; var20 < var14; ++var20) {
                     Class253 var21 = this.aClass448_5551.aClass253_5583;
                     synchronized(var21) {
                        var18 = Class96.method1867(this.aClass448_5551.aClass253_5583, var29[var20], 0);
                     }

                     if(null == var18) {
                        return null;
                     }

                     if(var18.anInt947 < 13) {
                        var18.method1848(2);
                     }

                     if(var14 > 1) {
                        this.aClass448_5551.aClass96Array5591[var20] = var18;
                     }
                  }

                  if(var14 > 1) {
                     var18 = new Class96(this.aClass448_5551.aClass96Array5591, var14);
                  }
               }

               var11 = var1.method11493(var18, var17, this.aClass448_5551.anInt5589 * -227791721, var7, var8);
               Class564 var33 = this.aClass448_5551.aClass564_5587;
               synchronized(var33) {
                  this.aClass448_5551.aClass564_5587.method11958(var11, var15);
               }
            }
         }
      }

      if(var11 == null) {
         return null;
      } else {
         Class568 var31 = var11.method12060((byte)0, var2, true);
         if(var7 != var11.c()) {
            var31.p(var7);
         }

         if(var8 != var11.Z()) {
            var31.Q(var8);
         }

         if(var10) {
            var31.wa();
         }

         if(var3 == Class458.aClass458_5701.anInt5719 * -1372814303 && var4 > 3) {
            var31.S(2048);
            var31.ia(180, 0, -180);
         }

         var4 &= 3;
         if(1 == var4) {
            var31.S(4096);
         } else if(2 == var4) {
            var31.S(8192);
         } else if(3 == var4) {
            var31.S(12288);
         }

         short[] var30;
         if(null != this.aShortArray5508) {
            if(null != var5 && var5.aShortArray5770 != null) {
               var30 = var5.aShortArray5770;
            } else {
               var30 = this.aShortArray5498;
            }

            for(var14 = 0; var14 < this.aShortArray5508.length; ++var14) {
               if(null != this.aByteArray5527 && var14 < this.aByteArray5527.length) {
                  var31.X(this.aShortArray5508[var14], aShortArray5562[this.aByteArray5527[var14] & 255]);
               } else {
                  var31.X(this.aShortArray5508[var14], var30[var14]);
               }
            }
         }

         if(this.aShortArray5525 != null) {
            if(var5 != null && null != var5.aShortArray5771) {
               var30 = var5.aShortArray5771;
            } else {
               var30 = this.aShortArray5501;
            }

            for(var14 = 0; var14 < this.aShortArray5525.length; ++var14) {
               var31.W(this.aShortArray5525[var14], var30[var14]);
            }
         }

         if(this.aByte5507 != 0) {
            var31.PA(this.aByte5504, this.aByte5505, this.aByte5500, this.aByte5507 & 255);
         }

         if(this.anInt5533 * 1756092445 != 128 || 128 != -352879549 * this.anInt5534 || 30358381 * this.anInt5491 != 128) {
            var31.oa(1756092445 * this.anInt5533, this.anInt5534 * -352879549, this.anInt5491 * 30358381);
         }

         if(0 != this.anInt5536 * -124437153 || this.anInt5537 * -1217006941 != 0 || 0 != -868212009 * this.anInt5490) {
            var31.ia(this.anInt5536 * -124437153, -1217006941 * this.anInt5537, -868212009 * this.anInt5490);
         }

         var31.KA(var9);
         return var31;
      }
   }

   public final Class445 method7440(Interface13 var1, Interface12 var2, int var3) {
      int var4 = -1;
      if(-1 != 128024489 * this.anInt5547) {
         Class295 var5 = var1.method52(128024489 * this.anInt5547, 1737697320);
         if(var5 != null) {
            var4 = var2.method49(var5, (byte)-19);
         }
      } else if(-1 != this.anInt5548 * -1944378217) {
         Class169 var6 = var1.method53(Class251.aClass251_2983, this.anInt5548 * -1944378217, (byte)10);
         if(var6 != null) {
            var4 = var2.method50(var6, 704805938);
         }
      }

      if(var4 >= 0 && var4 < this.anIntArray5546.length - 1) {
         return -1 == this.anIntArray5546[var4]?null:this.aClass448_5551.method7506(this.anIntArray5546[var4], 764956782);
      } else {
         int var7 = this.anIntArray5546[this.anIntArray5546.length - 1];
         return var7 != -1?this.aClass448_5551.method7506(var7, 1671553730):null;
      }
   }

   public boolean method7441() {
      if(this.anIntArray5546 == null) {
         return -1 != this.anInt5554 * 1859510365 || null != this.anIntArray5556;
      } else {
         for(int var1 = 0; var1 < this.anIntArray5546.length; ++var1) {
            if(-1 != this.anIntArray5546[var1]) {
               Class445 var2 = this.aClass448_5551.method7506(this.anIntArray5546[var1], 2111726209);
               if(-1 != 1859510365 * var2.anInt5554 || null != var2.anIntArray5556) {
                  return true;
               }
            }
         }

         return false;
      }
   }

   public String method7442(int var1, String var2, int var3) {
      if(this.aClass423_5512 == null) {
         return var2;
      } else {
         ObjectVar var4 = (ObjectVar)this.aClass423_5512.method7211((long)var1);
         return var4 == null?var2:(String)var4.object;
      }
   }

   void method7443() {
      if(this.anInt5544 * -22824303 == -1) {
         this.anInt5544 = 0;
         if(this.aByteArray5494 != null && 1 == this.aByteArray5494.length && this.aByteArray5494[0] == Class458.aClass458_5716.anInt5719 * -1372814303) {
            this.anInt5544 = -288930191;
         }

         for(int var1 = 0; var1 < 5; ++var1) {
            if(null != this.aStringArray5523[var1]) {
               this.anInt5544 = -288930191;
               break;
            }
         }
      }

      if(1513300481 * this.anInt5528 == -1) {
         this.anInt5528 = (0 != this.anInt5510 * -637890621?1:0) * -1370431999;
      }

      if(this.method7444(-928285464) || this.aBool5563 || null != this.anIntArray5546) {
         this.aBool5567 = true;
      }

   }

   public boolean method7444(int var1) {
      return this.anIntArray5519 != null;
   }

   public boolean method7445(int var1) {
      return this.anIntArray5519 != null && this.anIntArray5519.length > 1;
   }

   public final synchronized Class437 method7446(Class545 var1, int var2, int var3, int var4, Class400 var5, Class400 var6, int var7, int var8, int var9, boolean var10, Class469 var11, byte var12) {
      if(Class313.method5586(var3, (byte)54)) {
         var3 = -1372814303 * Class458.aClass458_5701.anInt5719;
      }

      long var13 = (long)((var3 << 3) + (1910675869 * this.anInt5531 << 10) + var4);
      var13 |= (long)(-1659372711 * var1.anInt7353 << 29);
      if(null != var11) {
         var13 |= -7596019108140255511L * var11.aLong5769 << 32;
      }

      int var15 = var2;
      if(this.aByte5513 == 3) {
         var15 = var2 | 7;
      } else {
         if(this.aByte5513 != 0 || this.anInt5540 * -1056037235 != 0) {
            var15 = var2 | 2;
         }

         if(this.anInt5539 * -1173795223 != 0) {
            var15 |= 1;
         }

         if(0 != this.anInt5541 * -1405008319) {
            var15 |= 4;
         }
      }

      if(var10) {
         var15 |= 262144;
      }

      boolean var16 = 0 != this.aByte5513 && (var5 != null || var6 != null);
      boolean var17 = -1173795223 * this.anInt5539 != 0 || this.anInt5540 * -1056037235 != 0 || 0 != this.anInt5541 * -1405008319;
      Class564 var18 = this.aClass448_5551.aClass564_5581;
      Class437 var19;
      synchronized(var18) {
         var19 = (Class437)this.aClass448_5551.aClass564_5581.method11959(var13);
      }

      Class568 var26 = (Class568)(null != var19?var19.anObject5439:null);
      Class225_Sub14_Sub16 var20 = null;
      if(null != var26 && var1.method11494(var26.m(), var15) == 0) {
         var20 = (Class225_Sub14_Sub16)var19.anObject5438;
         if(var10 && null == var20 && !var16 && !var17) {
            var20 = (Class225_Sub14_Sub16)(var19.anObject5438 = var26.ga((Class225_Sub14_Sub16)null));
         }
      } else {
         if(null != var26) {
            var15 = var1.method11495(var15, var26.m());
         }

         int var21 = var15;
         if(Class458.aClass458_5716.anInt5719 * -1372814303 == var3 && var4 > 3) {
            var21 = var15 | 5;
         }

         var26 = this.method7439(var1, var21, var3, var4, var11, (short)-3323);
         if(var26 == null) {
            return null;
         }

         if(var3 == Class458.aClass458_5716.anInt5719 * -1372814303 && var4 > 3) {
            var26.f(2048);
         }

         if(var10 && !var16 && !var17) {
            var20 = var26.ga((Class225_Sub14_Sub16)null);
         }

         var26.KA(var15);
         var19 = new Class437(var26, var20);
         Class564 var22 = this.aClass448_5551.aClass564_5581;
         synchronized(var22) {
            this.aClass448_5551.aClass564_5581.method11958(var19, var13);
         }
      }

      if(!var16 && !var17) {
         var26 = var26.method12060((byte)0, var2, true);
      } else {
         var26 = var26.method12060((byte)0, var15, true);
         if(var16) {
            var26.pa(this.aByte5513, this.anInt5514 * -101511621, var5, var6, var7, var8, var9);
         }

         if(var17) {
            var26.ia(this.anInt5539 * -1173795223, -1056037235 * this.anInt5540, this.anInt5541 * -1405008319);
         }

         if(var10) {
            var20 = var26.ga((Class225_Sub14_Sub16)null);
         }

         var26.KA(var2);
      }

      this.aClass448_5551.aClass437_5592.anObject5439 = var26;
      this.aClass448_5551.aClass437_5592.anObject5438 = var20;
      return this.aClass448_5551.aClass437_5592;
   }

   public int method7447(byte var1) {
      if(this.anIntArray5519 != null) {
         if(this.anIntArray5519.length <= 1) {
            return this.anIntArray5519[0];
         }

         int var2 = (int)(Math.random() * 65535.0D);

         for(int var3 = 0; var3 < this.anIntArray5519.length; ++var3) {
            if(var2 <= this.anIntArray5520[var3]) {
               return this.anIntArray5519[var3];
            }

            var2 -= this.anIntArray5520[var3];
         }
      }

      return -1;
   }

   public boolean method7448(int var1, int var2) {
      if(this.anIntArray5519 != null && var1 != -1) {
         for(int var3 = 0; var3 < this.anIntArray5519.length; ++var3) {
            if(this.anIntArray5519[var3] == var1) {
               return true;
            }
         }
      }

      return false;
   }

   public int method7449(int var1, int var2) {
      return this.anIntArray5518 == null?-1:this.anIntArray5518[var1];
   }

   public boolean method7450(byte var1) {
      if(this.anIntArray5546 == null) {
         return -1 != this.anInt5554 * 1859510365 || null != this.anIntArray5556;
      } else {
         for(int var2 = 0; var2 < this.anIntArray5546.length; ++var2) {
            if(-1 != this.anIntArray5546[var2]) {
               Class445 var3 = this.aClass448_5551.method7506(this.anIntArray5546[var2], 546922542);
               if(-1 != 1859510365 * var3.anInt5554 || null != var3.anIntArray5556) {
                  return true;
               }
            }
         }

         return false;
      }
   }

   void method7451(RS2Buffer var1, int var2) {
      int var3;
      int var4;
      int var5;
      int var6;
      if(var2 == 1) {
         var3 = var1.readUnsignedByte(-700559597);
         this.aByteArray5494 = new byte[var3];
         this.anIntArrayArray5495 = new int[var3][];

         for(var4 = 0; var4 < var3; ++var4) {
            this.aByteArray5494[var4] = var1.readByte(1062935206);
            var5 = var1.readUnsignedByte(-700559597);
            this.anIntArrayArray5495[var4] = new int[var5];

            for(var6 = 0; var6 < var5; ++var6) {
               this.anIntArrayArray5495[var4][var6] = var1.readLargeSmart(1690751366);
            }
         }
      } else if(var2 == 2) {
         this.aString5497 = var1.readString((byte)0);
      } else if(var2 == 14) {
         this.anInt5526 = var1.readUnsignedByte(-700559597) * -2053950575;
      } else if(var2 == 15) {
         this.anInt5509 = var1.readUnsignedByte(-700559597) * -1390558259;
      } else if(var2 == 17) {
         this.anInt5510 = 0;
         this.aBool5511 = false;
      } else if(var2 == 18) {
         this.aBool5511 = false;
      } else if(var2 == 19) {
         this.anInt5544 = var1.readUnsignedByte(-700559597) * -288930191;
      } else if(21 == var2) {
         this.aByte5513 = 1;
      } else if(var2 == 22) {
         this.aBool5515 = true;
      } else if(23 == var2) {
         this.anInt5516 = -1107926053;
      } else if(var2 == 24) {
         var3 = var1.readLargeSmart(1728575756);
         if(-1 != var3) {
            this.anIntArray5519 = new int[]{var3};
         }
      } else if(var2 == 27) {
         this.anInt5510 = -437167893;
      } else if(28 == var2) {
         this.anInt5521 = (var1.readUnsignedByte(-700559597) << 2) * -35345939;
      } else if(var2 == 29) {
         this.anInt5552 = var1.readByte(-537241743) * -1230010611;
      } else if(var2 == 39) {
         this.anInt5522 = var1.readByte(105561296) * 755990149;
      } else if(var2 >= 30 && var2 < 35) {
         this.aStringArray5523[var2 - 30] = var1.readString((byte)-36);
      } else if(40 == var2) {
         var3 = var1.readUnsignedByte(-700559597);
         this.aShortArray5508 = new short[var3];
         this.aShortArray5498 = new short[var3];

         for(var4 = 0; var4 < var3; ++var4) {
            this.aShortArray5508[var4] = (short)var1.readUnsignedShort(-937710807);
            this.aShortArray5498[var4] = (short)var1.readUnsignedShort(-937710807);
         }
      } else if(41 == var2) {
         var3 = var1.readUnsignedByte(-700559597);
         this.aShortArray5525 = new short[var3];
         this.aShortArray5501 = new short[var3];

         for(var4 = 0; var4 < var3; ++var4) {
            this.aShortArray5525[var4] = (short)var1.readUnsignedShort(-937710807);
            this.aShortArray5501[var4] = (short)var1.readUnsignedShort(-937710807);
         }
      } else if(var2 == 42) {
         var3 = var1.readUnsignedByte(-700559597);
         this.aByteArray5527 = new byte[var3];

         for(var4 = 0; var4 < var3; ++var4) {
            this.aByteArray5527[var4] = var1.readByte(189766671);
         }
      } else {
         byte var8;
         if(44 == var2) {
            var3 = var1.readUnsignedShort(-937710807);
            var4 = 0;

            for(var5 = var3; var5 > 0; var5 >>= 1) {
               ++var4;
            }

            this.aByteArray5502 = new byte[var4];
            var8 = 0;

            for(var6 = 0; var6 < var4; ++var6) {
               if((var3 & 1 << var6) > 0) {
                  this.aByteArray5502[var6] = var8++;
               } else {
                  this.aByteArray5502[var6] = -1;
               }
            }
         } else if(var2 == 45) {
            var3 = var1.readUnsignedShort(-937710807);
            var4 = 0;

            for(var5 = var3; var5 > 0; var5 >>= 1) {
               ++var4;
            }

            this.aByteArray5503 = new byte[var4];
            var8 = 0;

            for(var6 = 0; var6 < var4; ++var6) {
               if((var3 & 1 << var6) > 0) {
                  this.aByteArray5503[var6] = var8++;
               } else {
                  this.aByteArray5503[var6] = -1;
               }
            }
         } else if(var2 == 62) {
            this.aBool5506 = true;
         } else if(var2 == 64) {
            this.aBool5532 = false;
         } else if(65 == var2) {
            this.anInt5533 = var1.readUnsignedShort(-937710807) * 406694453;
         } else if(var2 == 66) {
            this.anInt5534 = var1.readUnsignedShort(-937710807) * -1261719445;
         } else if(67 == var2) {
            this.anInt5491 = var1.readUnsignedShort(-937710807) * 1822230117;
         } else if(69 == var2) {
            var1.readUnsignedByte(-700559597);
         } else if(70 == var2) {
            this.anInt5536 = (var1.method13732(-353035581) << 2) * 553279135;
         } else if(71 == var2) {
            this.anInt5537 = (var1.method13732(-218858777) << 2) * -1094495989;
         } else if(var2 == 72) {
            this.anInt5490 = (var1.method13732(-801796616) << 2) * -765333273;
         } else if(var2 == 73) {
            this.aBool5542 = true;
         } else if(var2 == 74) {
            this.aBool5543 = true;
         } else if(75 == var2) {
            this.anInt5528 = var1.readUnsignedByte(-700559597) * -1370431999;
         } else if(var2 != 77 && var2 != 92) {
            if(var2 == 78) {
               this.anInt5554 = var1.readUnsignedShort(-937710807) * -650578955;
               this.anInt5535 = var1.readUnsignedByte(-700559597) * 521287813;
            } else if(var2 == 79) {
               this.anInt5559 = var1.readUnsignedShort(-937710807) * 46907315;
               this.anInt5555 = var1.readUnsignedShort(-937710807) * -1484221913;
               this.anInt5535 = var1.readUnsignedByte(-700559597) * 521287813;
               var3 = var1.readUnsignedByte(-700559597);
               this.anIntArray5556 = new int[var3];

               for(var4 = 0; var4 < var3; ++var4) {
                  this.anIntArray5556[var4] = var1.readUnsignedShort(-937710807);
               }
            } else if(81 == var2) {
               this.aByte5513 = 2;
               this.anInt5514 = var1.readUnsignedByte(-700559597) * -1902447872;
            } else if(var2 == 82) {
               this.aBool5545 = true;
            } else if(var2 == 88) {
               this.aBool5560 = false;
            } else if(var2 == 89) {
               this.aBool5558 = false;
            } else if(var2 == 91) {
               this.aBool5550 = true;
            } else if(93 == var2) {
               this.aByte5513 = 3;
               this.anInt5514 = var1.readUnsignedShort(-937710807) * -1181836557;
            } else if(94 == var2) {
               this.aByte5513 = 4;
            } else if(var2 == 95) {
               this.aByte5513 = 5;
               this.anInt5514 = var1.method13732(694019226) * -1181836557;
            } else if(97 == var2) {
               this.aBool5524 = true;
            } else if(98 == var2) {
               this.aBool5563 = true;
            } else if(99 != var2 && var2 != 100) {
               if(101 == var2) {
                  this.anInt5529 = var1.readUnsignedByte(-700559597) * 1710241749;
               } else if(var2 == 102) {
                  this.anInt5493 = var1.readUnsignedShort(-937710807) * 418371703;
               } else if(var2 == 103) {
                  this.anInt5516 = 0;
               } else if(var2 == 104) {
                  this.anInt5549 = var1.readUnsignedByte(-700559597) * 889747619;
               } else if(var2 == 105) {
                  this.aBool5530 = true;
               } else if(106 == var2) {
                  var3 = var1.readUnsignedByte(-700559597);
                  var4 = 0;
                  this.anIntArray5519 = new int[var3];
                  this.anIntArray5520 = new int[var3];

                  for(var5 = 0; var5 < var3; ++var5) {
                     this.anIntArray5519[var5] = var1.readLargeSmart(2062648069);
                     var4 += this.anIntArray5520[var5] = var1.readUnsignedByte(-700559597);
                  }

                  for(var5 = 0; var5 < var3; ++var5) {
                     this.anIntArray5520[var5] = '\uffff' * this.anIntArray5520[var5] / var4;
                  }
               } else if(107 == var2) {
                  this.anInt5496 = var1.readUnsignedShort(-937710807) * 1027120775;
               } else if(var2 >= 150 && var2 < 155) {
                  this.aStringArray5523[var2 - 150] = var1.readString((byte)-8);
                  if(!this.aClass448_5551.aBool5585) {
                     this.aStringArray5523[var2 - 150] = null;
                  }
               } else if(160 == var2) {
                  var3 = var1.readUnsignedByte(-700559597);
                  this.anIntArray5564 = new int[var3];

                  for(var4 = 0; var4 < var3; ++var4) {
                     this.anIntArray5564[var4] = var1.readUnsignedShort(-937710807);
                  }
               } else if(var2 == 162) {
                  this.aByte5513 = 3;
                  this.anInt5514 = var1.readInt_(-1127134820) * -1181836557;
               } else if(var2 == 163) {
                  this.aByte5504 = var1.readByte(1946600796);
                  this.aByte5505 = var1.readByte(721136835);
                  this.aByte5500 = var1.readByte(-746272170);
                  this.aByte5507 = var1.readByte(459670574);
               } else if(164 == var2) {
                  this.anInt5539 = var1.method13732(813819133) * 81338841;
               } else if(165 == var2) {
                  this.anInt5540 = var1.method13732(207175084) * 1730481221;
               } else if(166 == var2) {
                  this.anInt5541 = var1.method13732(-701657017) * 1147259329;
               } else if(167 == var2) {
                  this.anInt5561 = var1.readUnsignedShort(-937710807) * 513613259;
               } else if(var2 == 168) {
                  this.aBool5553 = true;
               } else if(169 == var2) {
                  this.aBool5557 = true;
               } else if(170 == var2) {
                  this.anInt5517 = var1.readSmart(2078133635) * -405483835;
               } else if(171 == var2) {
                  this.anInt5492 = var1.readSmart(1522361867) * -659687191;
               } else if(173 == var2) {
                  this.anInt5565 = var1.readUnsignedShort(-937710807) * -1220337071;
                  this.anInt5566 = var1.readUnsignedShort(-937710807) * -312950609;
               } else if(var2 == 177) {
                  this.aBool5567 = true;
               } else if(178 == var2) {
                  this.anInt5499 = var1.readUnsignedByte(-700559597) * 384923871;
               } else if(189 == var2) {
                  this.aBool5568 = true;
               } else if(var2 >= 190 && var2 < 196) {
                  if(null == this.anIntArray5518) {
                     this.anIntArray5518 = new int[6];
                     Arrays.fill(this.anIntArray5518, -1);
                  }

                  this.anIntArray5518[var2 - 190] = var1.readUnsignedShort(-937710807);
               } else if(var2 == 249) {
                  var3 = var1.readUnsignedByte(-700559597);
                  if(null == this.aClass423_5512) {
                     var4 = Class468.method7880(var3, (byte)-100);
                     this.aClass423_5512 = new Class423(var4);
                  }

                  for(var4 = 0; var4 < var3; ++var4) {
                     boolean var9 = var1.readUnsignedByte(-700559597) == 1;
                     var6 = var1.readTriByte(-2022688054);
                     Object var7;
                     if(var9) {
                        var7 = new ObjectVar(var1.readString((byte)-107));
                     } else {
                        var7 = new IntVar(var1.readInt_(183127208));
                     }

                     this.aClass423_5512.method7206((Class225)var7, (long)var6);
                  }
               }
            } else {
               var1.readUnsignedByte(-700559597);
               var1.readUnsignedShort(-937710807);
            }
         } else {
            this.anInt5547 = var1.readUnsignedShort(-937710807) * 761631897;
            if('\uffff' == this.anInt5547 * 128024489) {
               this.anInt5547 = -761631897;
            }

            this.anInt5548 = var1.readUnsignedShort(-937710807) * -709190873;
            if(this.anInt5548 * -1944378217 == '\uffff') {
               this.anInt5548 = 709190873;
            }

            var3 = -1;
            if(92 == var2) {
               var3 = var1.readLargeSmart(2108408874);
            }

            var4 = var1.readUnsignedByte(-700559597);
            this.anIntArray5546 = new int[2 + var4];

            for(var5 = 0; var5 <= var4; ++var5) {
               this.anIntArray5546[var5] = var1.readLargeSmart(1852470609);
            }

            this.anIntArray5546[1 + var4] = var3;
         }
      }

   }

   public final boolean method7452(Class522 var1) {
      if(null == this.anIntArrayArray5495) {
         return true;
      } else {
         boolean var2 = true;
         Class253 var3 = this.aClass448_5551.aClass253_5583;
         synchronized(var3) {
            for(int var4 = 0; var4 < this.anIntArrayArray5495.length; ++var4) {
               for(int var5 = 0; var5 < this.anIntArrayArray5495[var4].length; ++var5) {
                  boolean var6 = this.aClass448_5551.aClass253_5583.method4506(this.anIntArrayArray5495[var4][var5], 0, (byte)-32);
                  var2 &= var6;
                  if(!var6) {
                     var1.anInt7144 = 1357229501 * this.anIntArrayArray5495[var4][var5];
                  }
               }
            }

            return var2;
         }
      }
   }

   public int method7453(int var1, int var2, byte var3) {
      if(null == this.aClass423_5512) {
         return var2;
      } else {
         IntVar var4 = (IntVar)this.aClass423_5512.method7211((long)var1);
         return null == var4?var2:442885445 * var4.integer;
      }
   }

   public int method7454() {
      if(this.anIntArray5519 != null) {
         if(this.anIntArray5519.length <= 1) {
            return this.anIntArray5519[0];
         }

         int var1 = (int)(Math.random() * 65535.0D);

         for(int var2 = 0; var2 < this.anIntArray5519.length; ++var2) {
            if(var1 <= this.anIntArray5520[var2]) {
               return this.anIntArray5519[var2];
            }

            var1 -= this.anIntArray5520[var2];
         }
      }

      return -1;
   }

   void method7455(RS2Buffer var1, int var2) {
      int var3;
      int var4;
      int var5;
      int var6;
      if(var2 == 1) {
         var3 = var1.readUnsignedByte(-700559597);
         this.aByteArray5494 = new byte[var3];
         this.anIntArrayArray5495 = new int[var3][];

         for(var4 = 0; var4 < var3; ++var4) {
            this.aByteArray5494[var4] = var1.readByte(-1077626009);
            var5 = var1.readUnsignedByte(-700559597);
            this.anIntArrayArray5495[var4] = new int[var5];

            for(var6 = 0; var6 < var5; ++var6) {
               this.anIntArrayArray5495[var4][var6] = var1.readLargeSmart(1767906363);
            }
         }
      } else if(var2 == 2) {
         this.aString5497 = var1.readString((byte)-70);
      } else if(var2 == 14) {
         this.anInt5526 = var1.readUnsignedByte(-700559597) * -2053950575;
      } else if(var2 == 15) {
         this.anInt5509 = var1.readUnsignedByte(-700559597) * -1390558259;
      } else if(var2 == 17) {
         this.anInt5510 = 0;
         this.aBool5511 = false;
      } else if(var2 == 18) {
         this.aBool5511 = false;
      } else if(var2 == 19) {
         this.anInt5544 = var1.readUnsignedByte(-700559597) * -288930191;
      } else if(21 == var2) {
         this.aByte5513 = 1;
      } else if(var2 == 22) {
         this.aBool5515 = true;
      } else if(23 == var2) {
         this.anInt5516 = -1107926053;
      } else if(var2 == 24) {
         var3 = var1.readLargeSmart(2015760925);
         if(-1 != var3) {
            this.anIntArray5519 = new int[]{var3};
         }
      } else if(var2 == 27) {
         this.anInt5510 = -437167893;
      } else if(28 == var2) {
         this.anInt5521 = (var1.readUnsignedByte(-700559597) << 2) * -35345939;
      } else if(var2 == 29) {
         this.anInt5552 = var1.readByte(2046129356) * -1230010611;
      } else if(var2 == 39) {
         this.anInt5522 = var1.readByte(1070829180) * 755990149;
      } else if(var2 >= 30 && var2 < 35) {
         this.aStringArray5523[var2 - 30] = var1.readString((byte)16);
      } else if(40 == var2) {
         var3 = var1.readUnsignedByte(-700559597);
         this.aShortArray5508 = new short[var3];
         this.aShortArray5498 = new short[var3];

         for(var4 = 0; var4 < var3; ++var4) {
            this.aShortArray5508[var4] = (short)var1.readUnsignedShort(-937710807);
            this.aShortArray5498[var4] = (short)var1.readUnsignedShort(-937710807);
         }
      } else if(41 == var2) {
         var3 = var1.readUnsignedByte(-700559597);
         this.aShortArray5525 = new short[var3];
         this.aShortArray5501 = new short[var3];

         for(var4 = 0; var4 < var3; ++var4) {
            this.aShortArray5525[var4] = (short)var1.readUnsignedShort(-937710807);
            this.aShortArray5501[var4] = (short)var1.readUnsignedShort(-937710807);
         }
      } else if(var2 == 42) {
         var3 = var1.readUnsignedByte(-700559597);
         this.aByteArray5527 = new byte[var3];

         for(var4 = 0; var4 < var3; ++var4) {
            this.aByteArray5527[var4] = var1.readByte(154092572);
         }
      } else {
         byte var8;
         if(44 == var2) {
            var3 = var1.readUnsignedShort(-937710807);
            var4 = 0;

            for(var5 = var3; var5 > 0; var5 >>= 1) {
               ++var4;
            }

            this.aByteArray5502 = new byte[var4];
            var8 = 0;

            for(var6 = 0; var6 < var4; ++var6) {
               if((var3 & 1 << var6) > 0) {
                  this.aByteArray5502[var6] = var8++;
               } else {
                  this.aByteArray5502[var6] = -1;
               }
            }
         } else if(var2 == 45) {
            var3 = var1.readUnsignedShort(-937710807);
            var4 = 0;

            for(var5 = var3; var5 > 0; var5 >>= 1) {
               ++var4;
            }

            this.aByteArray5503 = new byte[var4];
            var8 = 0;

            for(var6 = 0; var6 < var4; ++var6) {
               if((var3 & 1 << var6) > 0) {
                  this.aByteArray5503[var6] = var8++;
               } else {
                  this.aByteArray5503[var6] = -1;
               }
            }
         } else if(var2 == 62) {
            this.aBool5506 = true;
         } else if(var2 == 64) {
            this.aBool5532 = false;
         } else if(65 == var2) {
            this.anInt5533 = var1.readUnsignedShort(-937710807) * 406694453;
         } else if(var2 == 66) {
            this.anInt5534 = var1.readUnsignedShort(-937710807) * -1261719445;
         } else if(67 == var2) {
            this.anInt5491 = var1.readUnsignedShort(-937710807) * 1822230117;
         } else if(69 == var2) {
            var1.readUnsignedByte(-700559597);
         } else if(70 == var2) {
            this.anInt5536 = (var1.method13732(-1344651785) << 2) * 553279135;
         } else if(71 == var2) {
            this.anInt5537 = (var1.method13732(1369663510) << 2) * -1094495989;
         } else if(var2 == 72) {
            this.anInt5490 = (var1.method13732(-1864628027) << 2) * -765333273;
         } else if(var2 == 73) {
            this.aBool5542 = true;
         } else if(var2 == 74) {
            this.aBool5543 = true;
         } else if(75 == var2) {
            this.anInt5528 = var1.readUnsignedByte(-700559597) * -1370431999;
         } else if(var2 != 77 && var2 != 92) {
            if(var2 == 78) {
               this.anInt5554 = var1.readUnsignedShort(-937710807) * -650578955;
               this.anInt5535 = var1.readUnsignedByte(-700559597) * 521287813;
            } else if(var2 == 79) {
               this.anInt5559 = var1.readUnsignedShort(-937710807) * 46907315;
               this.anInt5555 = var1.readUnsignedShort(-937710807) * -1484221913;
               this.anInt5535 = var1.readUnsignedByte(-700559597) * 521287813;
               var3 = var1.readUnsignedByte(-700559597);
               this.anIntArray5556 = new int[var3];

               for(var4 = 0; var4 < var3; ++var4) {
                  this.anIntArray5556[var4] = var1.readUnsignedShort(-937710807);
               }
            } else if(81 == var2) {
               this.aByte5513 = 2;
               this.anInt5514 = var1.readUnsignedByte(-700559597) * -1902447872;
            } else if(var2 == 82) {
               this.aBool5545 = true;
            } else if(var2 == 88) {
               this.aBool5560 = false;
            } else if(var2 == 89) {
               this.aBool5558 = false;
            } else if(var2 == 91) {
               this.aBool5550 = true;
            } else if(93 == var2) {
               this.aByte5513 = 3;
               this.anInt5514 = var1.readUnsignedShort(-937710807) * -1181836557;
            } else if(94 == var2) {
               this.aByte5513 = 4;
            } else if(var2 == 95) {
               this.aByte5513 = 5;
               this.anInt5514 = var1.method13732(1340850176) * -1181836557;
            } else if(97 == var2) {
               this.aBool5524 = true;
            } else if(98 == var2) {
               this.aBool5563 = true;
            } else if(99 != var2 && var2 != 100) {
               if(101 == var2) {
                  this.anInt5529 = var1.readUnsignedByte(-700559597) * 1710241749;
               } else if(var2 == 102) {
                  this.anInt5493 = var1.readUnsignedShort(-937710807) * 418371703;
               } else if(var2 == 103) {
                  this.anInt5516 = 0;
               } else if(var2 == 104) {
                  this.anInt5549 = var1.readUnsignedByte(-700559597) * 889747619;
               } else if(var2 == 105) {
                  this.aBool5530 = true;
               } else if(106 == var2) {
                  var3 = var1.readUnsignedByte(-700559597);
                  var4 = 0;
                  this.anIntArray5519 = new int[var3];
                  this.anIntArray5520 = new int[var3];

                  for(var5 = 0; var5 < var3; ++var5) {
                     this.anIntArray5519[var5] = var1.readLargeSmart(1994963731);
                     var4 += this.anIntArray5520[var5] = var1.readUnsignedByte(-700559597);
                  }

                  for(var5 = 0; var5 < var3; ++var5) {
                     this.anIntArray5520[var5] = '\uffff' * this.anIntArray5520[var5] / var4;
                  }
               } else if(107 == var2) {
                  this.anInt5496 = var1.readUnsignedShort(-937710807) * 1027120775;
               } else if(var2 >= 150 && var2 < 155) {
                  this.aStringArray5523[var2 - 150] = var1.readString((byte)-16);
                  if(!this.aClass448_5551.aBool5585) {
                     this.aStringArray5523[var2 - 150] = null;
                  }
               } else if(160 == var2) {
                  var3 = var1.readUnsignedByte(-700559597);
                  this.anIntArray5564 = new int[var3];

                  for(var4 = 0; var4 < var3; ++var4) {
                     this.anIntArray5564[var4] = var1.readUnsignedShort(-937710807);
                  }
               } else if(var2 == 162) {
                  this.aByte5513 = 3;
                  this.anInt5514 = var1.readInt_(-1471862709) * -1181836557;
               } else if(var2 == 163) {
                  this.aByte5504 = var1.readByte(742538334);
                  this.aByte5505 = var1.readByte(45326822);
                  this.aByte5500 = var1.readByte(336939607);
                  this.aByte5507 = var1.readByte(-1116144988);
               } else if(164 == var2) {
                  this.anInt5539 = var1.method13732(-450702626) * 81338841;
               } else if(165 == var2) {
                  this.anInt5540 = var1.method13732(1737892743) * 1730481221;
               } else if(166 == var2) {
                  this.anInt5541 = var1.method13732(-1099441763) * 1147259329;
               } else if(167 == var2) {
                  this.anInt5561 = var1.readUnsignedShort(-937710807) * 513613259;
               } else if(var2 == 168) {
                  this.aBool5553 = true;
               } else if(169 == var2) {
                  this.aBool5557 = true;
               } else if(170 == var2) {
                  this.anInt5517 = var1.readSmart(1681435840) * -405483835;
               } else if(171 == var2) {
                  this.anInt5492 = var1.readSmart(610862851) * -659687191;
               } else if(173 == var2) {
                  this.anInt5565 = var1.readUnsignedShort(-937710807) * -1220337071;
                  this.anInt5566 = var1.readUnsignedShort(-937710807) * -312950609;
               } else if(var2 == 177) {
                  this.aBool5567 = true;
               } else if(178 == var2) {
                  this.anInt5499 = var1.readUnsignedByte(-700559597) * 384923871;
               } else if(189 == var2) {
                  this.aBool5568 = true;
               } else if(var2 >= 190 && var2 < 196) {
                  if(null == this.anIntArray5518) {
                     this.anIntArray5518 = new int[6];
                     Arrays.fill(this.anIntArray5518, -1);
                  }

                  this.anIntArray5518[var2 - 190] = var1.readUnsignedShort(-937710807);
               } else if(var2 == 249) {
                  var3 = var1.readUnsignedByte(-700559597);
                  if(null == this.aClass423_5512) {
                     var4 = Class468.method7880(var3, (byte)-50);
                     this.aClass423_5512 = new Class423(var4);
                  }

                  for(var4 = 0; var4 < var3; ++var4) {
                     boolean var9 = var1.readUnsignedByte(-700559597) == 1;
                     var6 = var1.readTriByte(1224604190);
                     Object var7;
                     if(var9) {
                        var7 = new ObjectVar(var1.readString((byte)37));
                     } else {
                        var7 = new IntVar(var1.readInt_(-1063735744));
                     }

                     this.aClass423_5512.method7206((Class225)var7, (long)var6);
                  }
               }
            } else {
               var1.readUnsignedByte(-700559597);
               var1.readUnsignedShort(-937710807);
            }
         } else {
            this.anInt5547 = var1.readUnsignedShort(-937710807) * 761631897;
            if('\uffff' == this.anInt5547 * 128024489) {
               this.anInt5547 = -761631897;
            }

            this.anInt5548 = var1.readUnsignedShort(-937710807) * -709190873;
            if(this.anInt5548 * -1944378217 == '\uffff') {
               this.anInt5548 = 709190873;
            }

            var3 = -1;
            if(92 == var2) {
               var3 = var1.readLargeSmart(1996390781);
            }

            var4 = var1.readUnsignedByte(-700559597);
            this.anIntArray5546 = new int[2 + var4];

            for(var5 = 0; var5 <= var4; ++var5) {
               this.anIntArray5546[var5] = var1.readLargeSmart(2078039620);
            }

            this.anIntArray5546[1 + var4] = var3;
         }
      }

   }

   public int[] method7456(byte var1) {
      return this.anIntArray5519;
   }

   public final boolean method7457(Class522 var1) {
      if(null == this.anIntArrayArray5495) {
         return true;
      } else {
         boolean var2 = true;
         Class253 var3 = this.aClass448_5551.aClass253_5583;
         synchronized(var3) {
            for(int var4 = 0; var4 < this.anIntArrayArray5495.length; ++var4) {
               for(int var5 = 0; var5 < this.anIntArrayArray5495[var4].length; ++var5) {
                  boolean var6 = this.aClass448_5551.aClass253_5583.method4506(this.anIntArrayArray5495[var4][var5], 0, (byte)-33);
                  var2 &= var6;
                  if(!var6) {
                     var1.anInt7144 = 1357229501 * this.anIntArrayArray5495[var4][var5];
                  }
               }
            }

            return var2;
         }
      }
   }

   public boolean method7458() {
      return this.anIntArray5519 != null && this.anIntArray5519.length > 1;
   }

   public final synchronized Class437 method7459(Class545 var1, int var2, int var3, int var4, Class400 var5, Class400 var6, int var7, int var8, int var9, boolean var10, Class469 var11) {
      if(Class313.method5586(var3, (byte)17)) {
         var3 = -1372814303 * Class458.aClass458_5701.anInt5719;
      }

      long var12 = (long)((var3 << 3) + (1910675869 * this.anInt5531 << 10) + var4);
      var12 |= (long)(-1659372711 * var1.anInt7353 << 29);
      if(null != var11) {
         var12 |= -7596019108140255511L * var11.aLong5769 << 32;
      }

      int var14 = var2;
      if(this.aByte5513 == 3) {
         var14 = var2 | 7;
      } else {
         if(this.aByte5513 != 0 || this.anInt5540 * -1056037235 != 0) {
            var14 = var2 | 2;
         }

         if(this.anInt5539 * -1173795223 != 0) {
            var14 |= 1;
         }

         if(0 != this.anInt5541 * -1405008319) {
            var14 |= 4;
         }
      }

      if(var10) {
         var14 |= 262144;
      }

      boolean var15 = 0 != this.aByte5513 && (var5 != null || var6 != null);
      boolean var16 = -1173795223 * this.anInt5539 != 0 || this.anInt5540 * -1056037235 != 0 || 0 != this.anInt5541 * -1405008319;
      Class564 var17 = this.aClass448_5551.aClass564_5581;
      Class437 var18;
      synchronized(var17) {
         var18 = (Class437)this.aClass448_5551.aClass564_5581.method11959(var12);
      }

      Class568 var25 = (Class568)(null != var18?var18.anObject5439:null);
      Class225_Sub14_Sub16 var19 = null;
      if(null != var25 && var1.method11494(var25.m(), var14) == 0) {
         var19 = (Class225_Sub14_Sub16)var18.anObject5438;
         if(var10 && null == var19 && !var15 && !var16) {
            var19 = (Class225_Sub14_Sub16)(var18.anObject5438 = var25.ga((Class225_Sub14_Sub16)null));
         }
      } else {
         if(null != var25) {
            var14 = var1.method11495(var14, var25.m());
         }

         int var20 = var14;
         if(Class458.aClass458_5716.anInt5719 * -1372814303 == var3 && var4 > 3) {
            var20 = var14 | 5;
         }

         var25 = this.method7439(var1, var20, var3, var4, var11, (short)530);
         if(var25 == null) {
            return null;
         }

         if(var3 == Class458.aClass458_5716.anInt5719 * -1372814303 && var4 > 3) {
            var25.f(2048);
         }

         if(var10 && !var15 && !var16) {
            var19 = var25.ga((Class225_Sub14_Sub16)null);
         }

         var25.KA(var14);
         var18 = new Class437(var25, var19);
         Class564 var21 = this.aClass448_5551.aClass564_5581;
         synchronized(var21) {
            this.aClass448_5551.aClass564_5581.method11958(var18, var12);
         }
      }

      if(!var15 && !var16) {
         var25 = var25.method12060((byte)0, var2, true);
      } else {
         var25 = var25.method12060((byte)0, var14, true);
         if(var15) {
            var25.pa(this.aByte5513, this.anInt5514 * -101511621, var5, var6, var7, var8, var9);
         }

         if(var16) {
            var25.ia(this.anInt5539 * -1173795223, -1056037235 * this.anInt5540, this.anInt5541 * -1405008319);
         }

         if(var10) {
            var19 = var25.ga((Class225_Sub14_Sub16)null);
         }

         var25.KA(var2);
      }

      this.aClass448_5551.aClass437_5592.anObject5439 = var25;
      this.aClass448_5551.aClass437_5592.anObject5438 = var19;
      return this.aClass448_5551.aClass437_5592;
   }

   public boolean method7460() {
      if(this.anIntArray5546 == null) {
         return -1 != this.anInt5554 * 1859510365 || null != this.anIntArray5556;
      } else {
         for(int var1 = 0; var1 < this.anIntArray5546.length; ++var1) {
            if(-1 != this.anIntArray5546[var1]) {
               Class445 var2 = this.aClass448_5551.method7506(this.anIntArray5546[var1], 1720058495);
               if(-1 != 1859510365 * var2.anInt5554 || null != var2.anIntArray5556) {
                  return true;
               }
            }
         }

         return false;
      }
   }

   public final synchronized Class568 method7461(Class545 var1, int var2, int var3, int var4, Class400 var5, Class400 var6, int var7, int var8, int var9, Class477 var10, Class469 var11) {
      if(Class313.method5586(var3, (byte)21)) {
         var3 = -1372814303 * Class458.aClass458_5701.anInt5719;
      }

      long var12 = (long)((var3 << 3) + (this.anInt5531 * 1910675869 << 10) + var4);
      var12 |= (long)(var1.anInt7353 * -1659372711 << 29);
      if(null != var11) {
         var12 |= var11.aLong5769 * -7596019108140255511L << 32;
      }

      if(var10 != null) {
         var2 |= var10.method7983(257675263);
      }

      if(this.aByte5513 == 3) {
         var2 |= 7;
      } else {
         if(0 != this.aByte5513 || this.anInt5540 * -1056037235 != 0) {
            var2 |= 2;
         }

         if(this.anInt5539 * -1173795223 != 0) {
            var2 |= 1;
         }

         if(0 != -1405008319 * this.anInt5541) {
            var2 |= 4;
         }
      }

      if(-1372814303 * Class458.aClass458_5716.anInt5719 == var3 && var4 > 3) {
         var2 |= 5;
      }

      Class564 var15 = this.aClass448_5551.aClass564_5588;
      Class568 var16;
      synchronized(var15) {
         var16 = (Class568)this.aClass448_5551.aClass564_5588.method11959(var12);
      }

      if(null == var16 || var1.method11494(var16.m(), var2) != 0) {
         if(null != var16) {
            var2 = var1.method11495(var2, var16.m());
         }

         var16 = this.method7439(var1, var2, var3, var4, var11, (short)-26122);
         if(null == var16) {
            return null;
         }

         var15 = this.aClass448_5551.aClass564_5588;
         synchronized(var15) {
            this.aClass448_5551.aClass564_5588.method11958(var16, var12);
         }
      }

      boolean var21 = false;
      if(null != var10) {
         var16 = var16.method12060((byte)1, var2, true);
         var21 = true;
         var10.method8040(var16, var4 & 3, 35308668);
      }

      if(-1372814303 * Class458.aClass458_5716.anInt5719 == var3 && var4 > 3) {
         if(!var21) {
            var16 = var16.method12060((byte)3, var2, true);
            var21 = true;
         }

         var16.f(2048);
      }

      if(0 != this.aByte5513) {
         if(!var21) {
            var16 = var16.method12060((byte)3, var2, true);
            var21 = true;
         }

         var16.pa(this.aByte5513, this.anInt5514 * -101511621, var5, var6, var7, var8, var9);
      }

      if(-1173795223 * this.anInt5539 != 0 || 0 != -1056037235 * this.anInt5540 || -1405008319 * this.anInt5541 != 0) {
         if(!var21) {
            var16 = var16.method12060((byte)3, var2, true);
            var21 = true;
         }

         var16.ia(this.anInt5539 * -1173795223, -1056037235 * this.anInt5540, -1405008319 * this.anInt5541);
      }

      if(var21) {
         var16.KA(var2);
      }

      return var16;
   }

   public final synchronized Class568 method7462(Class545 var1, int var2, int var3, int var4, Class400 var5, Class400 var6, int var7, int var8, int var9, Class477 var10, Class469 var11) {
      if(Class313.method5586(var3, (byte)7)) {
         var3 = -1372814303 * Class458.aClass458_5701.anInt5719;
      }

      long var12 = (long)((var3 << 3) + (this.anInt5531 * 1910675869 << 10) + var4);
      var12 |= (long)(var1.anInt7353 * -1659372711 << 29);
      if(null != var11) {
         var12 |= var11.aLong5769 * -7596019108140255511L << 32;
      }

      if(var10 != null) {
         var2 |= var10.method7983(257675263);
      }

      if(this.aByte5513 == 3) {
         var2 |= 7;
      } else {
         if(0 != this.aByte5513 || this.anInt5540 * -1056037235 != 0) {
            var2 |= 2;
         }

         if(this.anInt5539 * -1173795223 != 0) {
            var2 |= 1;
         }

         if(0 != -1405008319 * this.anInt5541) {
            var2 |= 4;
         }
      }

      if(-1372814303 * Class458.aClass458_5716.anInt5719 == var3 && var4 > 3) {
         var2 |= 5;
      }

      Class564 var15 = this.aClass448_5551.aClass564_5588;
      Class568 var16;
      synchronized(var15) {
         var16 = (Class568)this.aClass448_5551.aClass564_5588.method11959(var12);
      }

      if(null == var16 || var1.method11494(var16.m(), var2) != 0) {
         if(null != var16) {
            var2 = var1.method11495(var2, var16.m());
         }

         var16 = this.method7439(var1, var2, var3, var4, var11, (short)-15201);
         if(null == var16) {
            return null;
         }

         var15 = this.aClass448_5551.aClass564_5588;
         synchronized(var15) {
            this.aClass448_5551.aClass564_5588.method11958(var16, var12);
         }
      }

      boolean var21 = false;
      if(null != var10) {
         var16 = var16.method12060((byte)1, var2, true);
         var21 = true;
         var10.method8040(var16, var4 & 3, 1558499004);
      }

      if(-1372814303 * Class458.aClass458_5716.anInt5719 == var3 && var4 > 3) {
         if(!var21) {
            var16 = var16.method12060((byte)3, var2, true);
            var21 = true;
         }

         var16.f(2048);
      }

      if(0 != this.aByte5513) {
         if(!var21) {
            var16 = var16.method12060((byte)3, var2, true);
            var21 = true;
         }

         var16.pa(this.aByte5513, this.anInt5514 * -101511621, var5, var6, var7, var8, var9);
      }

      if(-1173795223 * this.anInt5539 != 0 || 0 != -1056037235 * this.anInt5540 || -1405008319 * this.anInt5541 != 0) {
         if(!var21) {
            var16 = var16.method12060((byte)3, var2, true);
            var21 = true;
         }

         var16.ia(this.anInt5539 * -1173795223, -1056037235 * this.anInt5540, -1405008319 * this.anInt5541);
      }

      if(var21) {
         var16.KA(var2);
      }

      return var16;
   }

   void method7463() {
      if(this.anInt5544 * -22824303 == -1) {
         this.anInt5544 = 0;
         if(this.aByteArray5494 != null && 1 == this.aByteArray5494.length && this.aByteArray5494[0] == Class458.aClass458_5716.anInt5719 * -1372814303) {
            this.anInt5544 = -288930191;
         }

         for(int var1 = 0; var1 < 5; ++var1) {
            if(null != this.aStringArray5523[var1]) {
               this.anInt5544 = -288930191;
               break;
            }
         }
      }

      if(1513300481 * this.anInt5528 == -1) {
         this.anInt5528 = (0 != this.anInt5510 * -637890621?1:0) * -1370431999;
      }

      if(this.method7444(-1893643923) || this.aBool5563 || null != this.anIntArray5546) {
         this.aBool5567 = true;
      }

   }

   public int method7464(int var1, int var2) {
      if(null == this.aClass423_5512) {
         return var2;
      } else {
         IntVar var3 = (IntVar)this.aClass423_5512.method7211((long)var1);
         return null == var3?var2:442885445 * var3.integer;
      }
   }

   public int method7465(int var1, int var2) {
      if(null == this.aClass423_5512) {
         return var2;
      } else {
         IntVar var3 = (IntVar)this.aClass423_5512.method7211((long)var1);
         return null == var3?var2:442885445 * var3.integer;
      }
   }

   public int method7466(int var1, int var2) {
      if(null == this.aClass423_5512) {
         return var2;
      } else {
         IntVar var3 = (IntVar)this.aClass423_5512.method7211((long)var1);
         return null == var3?var2:442885445 * var3.integer;
      }
   }

   public String method7467(int var1, String var2) {
      if(this.aClass423_5512 == null) {
         return var2;
      } else {
         ObjectVar var3 = (ObjectVar)this.aClass423_5512.method7211((long)var1);
         return var3 == null?var2:(String)var3.object;
      }
   }

   void method7468(int var1) {
      if(this.anInt5544 * -22824303 == -1) {
         this.anInt5544 = 0;
         if(this.aByteArray5494 != null && 1 == this.aByteArray5494.length && this.aByteArray5494[0] == Class458.aClass458_5716.anInt5719 * -1372814303) {
            this.anInt5544 = -288930191;
         }

         for(int var2 = 0; var2 < 5; ++var2) {
            if(null != this.aStringArray5523[var2]) {
               this.anInt5544 = -288930191;
               break;
            }
         }
      }

      if(1513300481 * this.anInt5528 == -1) {
         this.anInt5528 = (0 != this.anInt5510 * -637890621?1:0) * -1370431999;
      }

      if(this.method7444(-1657037930) || this.aBool5563 || null != this.anIntArray5546) {
         this.aBool5567 = true;
      }

   }

   void method7469() {
      if(this.anInt5544 * -22824303 == -1) {
         this.anInt5544 = 0;
         if(this.aByteArray5494 != null && 1 == this.aByteArray5494.length && this.aByteArray5494[0] == Class458.aClass458_5716.anInt5719 * -1372814303) {
            this.anInt5544 = -288930191;
         }

         for(int var1 = 0; var1 < 5; ++var1) {
            if(null != this.aStringArray5523[var1]) {
               this.anInt5544 = -288930191;
               break;
            }
         }
      }

      if(1513300481 * this.anInt5528 == -1) {
         this.anInt5528 = (0 != this.anInt5510 * -637890621?1:0) * -1370431999;
      }

      if(this.method7444(-493554621) || this.aBool5563 || null != this.anIntArray5546) {
         this.aBool5567 = true;
      }

   }

   public boolean method7470() {
      if(this.anIntArray5546 == null) {
         return -1 != this.anInt5554 * 1859510365 || null != this.anIntArray5556;
      } else {
         for(int var1 = 0; var1 < this.anIntArray5546.length; ++var1) {
            if(-1 != this.anIntArray5546[var1]) {
               Class445 var2 = this.aClass448_5551.method7506(this.anIntArray5546[var1], 1871811791);
               if(-1 != 1859510365 * var2.anInt5554 || null != var2.anIntArray5556) {
                  return true;
               }
            }
         }

         return false;
      }
   }

   public final synchronized Class568 method7471(Class545 var1, int var2, int var3, int var4, Class400 var5, Class400 var6, int var7, int var8, int var9, Class477 var10, Class469 var11) {
      if(Class313.method5586(var3, (byte)97)) {
         var3 = -1372814303 * Class458.aClass458_5701.anInt5719;
      }

      long var12 = (long)((var3 << 3) + (this.anInt5531 * 1910675869 << 10) + var4);
      var12 |= (long)(var1.anInt7353 * -1659372711 << 29);
      if(null != var11) {
         var12 |= var11.aLong5769 * -7596019108140255511L << 32;
      }

      if(var10 != null) {
         var2 |= var10.method7983(257675263);
      }

      if(this.aByte5513 == 3) {
         var2 |= 7;
      } else {
         if(0 != this.aByte5513 || this.anInt5540 * -1056037235 != 0) {
            var2 |= 2;
         }

         if(this.anInt5539 * -1173795223 != 0) {
            var2 |= 1;
         }

         if(0 != -1405008319 * this.anInt5541) {
            var2 |= 4;
         }
      }

      if(-1372814303 * Class458.aClass458_5716.anInt5719 == var3 && var4 > 3) {
         var2 |= 5;
      }

      Class564 var15 = this.aClass448_5551.aClass564_5588;
      Class568 var16;
      synchronized(var15) {
         var16 = (Class568)this.aClass448_5551.aClass564_5588.method11959(var12);
      }

      if(null == var16 || var1.method11494(var16.m(), var2) != 0) {
         if(null != var16) {
            var2 = var1.method11495(var2, var16.m());
         }

         var16 = this.method7439(var1, var2, var3, var4, var11, (short)-26508);
         if(null == var16) {
            return null;
         }

         var15 = this.aClass448_5551.aClass564_5588;
         synchronized(var15) {
            this.aClass448_5551.aClass564_5588.method11958(var16, var12);
         }
      }

      boolean var21 = false;
      if(null != var10) {
         var16 = var16.method12060((byte)1, var2, true);
         var21 = true;
         var10.method8040(var16, var4 & 3, 717841574);
      }

      if(-1372814303 * Class458.aClass458_5716.anInt5719 == var3 && var4 > 3) {
         if(!var21) {
            var16 = var16.method12060((byte)3, var2, true);
            var21 = true;
         }

         var16.f(2048);
      }

      if(0 != this.aByte5513) {
         if(!var21) {
            var16 = var16.method12060((byte)3, var2, true);
            var21 = true;
         }

         var16.pa(this.aByte5513, this.anInt5514 * -101511621, var5, var6, var7, var8, var9);
      }

      if(-1173795223 * this.anInt5539 != 0 || 0 != -1056037235 * this.anInt5540 || -1405008319 * this.anInt5541 != 0) {
         if(!var21) {
            var16 = var16.method12060((byte)3, var2, true);
            var21 = true;
         }

         var16.ia(this.anInt5539 * -1173795223, -1056037235 * this.anInt5540, -1405008319 * this.anInt5541);
      }

      if(var21) {
         var16.KA(var2);
      }

      return var16;
   }

   public boolean method7472() {
      return this.anIntArray5519 != null;
   }

   public final synchronized Class568 method7473(Class545 var1, int var2, int var3, int var4, Class400 var5, Class400 var6, int var7, int var8, int var9, Class477 var10, Class469 var11, int var12) {
      if(Class313.method5586(var3, (byte)64)) {
         var3 = -1372814303 * Class458.aClass458_5701.anInt5719;
      }

      long var13 = (long)((var3 << 3) + (this.anInt5531 * 1910675869 << 10) + var4);
      var13 |= (long)(var1.anInt7353 * -1659372711 << 29);
      if(null != var11) {
         var13 |= var11.aLong5769 * -7596019108140255511L << 32;
      }

      if(var10 != null) {
         var2 |= var10.method7983(257675263);
      }

      if(this.aByte5513 == 3) {
         var2 |= 7;
      } else {
         if(0 != this.aByte5513 || this.anInt5540 * -1056037235 != 0) {
            var2 |= 2;
         }

         if(this.anInt5539 * -1173795223 != 0) {
            var2 |= 1;
         }

         if(0 != -1405008319 * this.anInt5541) {
            var2 |= 4;
         }
      }

      if(-1372814303 * Class458.aClass458_5716.anInt5719 == var3 && var4 > 3) {
         var2 |= 5;
      }

      Class564 var16 = this.aClass448_5551.aClass564_5588;
      Class568 var17;
      synchronized(var16) {
         var17 = (Class568)this.aClass448_5551.aClass564_5588.method11959(var13);
      }

      if(null == var17 || var1.method11494(var17.m(), var2) != 0) {
         if(null != var17) {
            var2 = var1.method11495(var2, var17.m());
         }

         var17 = this.method7439(var1, var2, var3, var4, var11, (short)-19989);
         if(null == var17) {
            return null;
         }

         var16 = this.aClass448_5551.aClass564_5588;
         synchronized(var16) {
            this.aClass448_5551.aClass564_5588.method11958(var17, var13);
         }
      }

      boolean var22 = false;
      if(null != var10) {
         var17 = var17.method12060((byte)1, var2, true);
         var22 = true;
         var10.method8040(var17, var4 & 3, 1530725578);
      }

      if(-1372814303 * Class458.aClass458_5716.anInt5719 == var3 && var4 > 3) {
         if(!var22) {
            var17 = var17.method12060((byte)3, var2, true);
            var22 = true;
         }

         var17.f(2048);
      }

      if(0 != this.aByte5513) {
         if(!var22) {
            var17 = var17.method12060((byte)3, var2, true);
            var22 = true;
         }

         var17.pa(this.aByte5513, this.anInt5514 * -101511621, var5, var6, var7, var8, var9);
      }

      if(-1173795223 * this.anInt5539 != 0 || 0 != -1056037235 * this.anInt5540 || -1405008319 * this.anInt5541 != 0) {
         if(!var22) {
            var17 = var17.method12060((byte)3, var2, true);
            var22 = true;
         }

         var17.ia(this.anInt5539 * -1173795223, -1056037235 * this.anInt5540, -1405008319 * this.anInt5541);
      }

      if(var22) {
         var17.KA(var2);
      }

      return var17;
   }

   public boolean method7474() {
      return this.anIntArray5519 != null && this.anIntArray5519.length > 1;
   }

   public boolean method7475() {
      return this.anIntArray5519 != null && this.anIntArray5519.length > 1;
   }

   public boolean method7476() {
      return this.anIntArray5519 != null && this.anIntArray5519.length > 1;
   }

   public boolean method7477() {
      if(this.anIntArray5546 == null) {
         return -1 != this.anInt5554 * 1859510365 || null != this.anIntArray5556;
      } else {
         for(int var1 = 0; var1 < this.anIntArray5546.length; ++var1) {
            if(-1 != this.anIntArray5546[var1]) {
               Class445 var2 = this.aClass448_5551.method7506(this.anIntArray5546[var1], 1307517258);
               if(-1 != 1859510365 * var2.anInt5554 || null != var2.anIntArray5556) {
                  return true;
               }
            }
         }

         return false;
      }
   }

   public int[] method7478() {
      return this.anIntArray5519;
   }

   public boolean method7479(int var1) {
      if(this.anIntArray5519 != null && var1 != -1) {
         for(int var2 = 0; var2 < this.anIntArray5519.length; ++var2) {
            if(this.anIntArray5519[var2] == var1) {
               return true;
            }
         }
      }

      return false;
   }

   public boolean method7480(int var1) {
      if(this.anIntArray5519 != null && var1 != -1) {
         for(int var2 = 0; var2 < this.anIntArray5519.length; ++var2) {
            if(this.anIntArray5519[var2] == var1) {
               return true;
            }
         }
      }

      return false;
   }

   public int method7481(int var1) {
      return this.anIntArray5518 == null?-1:this.anIntArray5518[var1];
   }

   static final void method7482(Class508 var0, byte var1) {
      Class124 var2 = Class97.method1903(var0.anIntArray6027[(var0.anInt6003 -= 98312473) * -937710807], 1181862558);
      if(-1 != 961358561 * var2.anInt1444) {
         if(var1 != 80) {
            ;
         }

         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = -1195349685 * var2.anInt1508;
      } else {
         var0.anIntArray6027[(var0.anInt6003 += 98312473) * -937710807 - 1] = 0;
      }

   }

   static final void method7483(Class508 var0, int var1) {
      Class505 var2 = var0.aBool6014?var0.aClass505_6011:var0.aClass505_6010;
      Class124 var3 = var2.aClass124_5977;
      Class121 var4 = var2.aClass121_5978;
      Class75.method1620(var3, var4, var0, 1627536370);
   }

   static void method7484(int var0, int var1, int var2, int var3, int var4) {
      Class225_Sub14_Sub2 var5 = Class49.method1193(19, (long)var1 << 32 | (long)var0);
      var5.method15502((byte)-104);
      var5.anInt9990 = var2 * -1655449005;
      var5.anInt10006 = 1329717343 * var3;
   }
}
